package com.zksy.tableData.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.zksy.common.domain.Result;
import com.zksy.tableData.domain.*;
import com.zksy.tableData.service.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.awt.*;
import java.util.List;

/**
 * @author Administrator
 * @version 1.0
 * @project xh-service-micro
 * @description 库表接口
 * @date 2024/11/5 10:47:56
 */
@RestController
@RequestMapping("/libraryTable")
public class LibraryTableController {
    @Autowired
    private EBaseinfoService eBaseinfoService;
    @Autowired
    private AnPbUpdateinfoService anPbUpdateinfoService;
    @Autowired
    private AnPbLicenceinfoService anPbLicenceinfoService;
    @Autowired
    private DrRaninsplanService drRaninsplanService;
    @Autowired
    private AnPbBaseinfoService anPbBaseinfoService;
    @Autowired
    private AnUpdateinfoService anUpdateinfoService;
    @Autowired
    private DrRaninsresService drRaninsresService;
    @Autowired
    private AnBaseinfoService anBaseinfoService;
    @Autowired
    private AnSubcapitalService anSubcapitalService;
    @Autowired 
    private ELicCertificateService eLicCertificateService;
    @Autowired
    private SswWbjhCjCztDkfpxxNewService sswWbjhCjCztDkfpxxNewService;
    @Autowired
    private SswWbjhCjCztQysdsxxService sswWbjhCjCztQysdsxxService;
    @Autowired
    private SqzkDsjWbjhCjFgwFzchrdxxService sqzkDsjWbjhCjFgwFzchrdxxService;
    @Autowired
    private SqzkDsjWbjhCjFgwFzchjcxxService sqzkDsjWbjhCjFgwFzchjcxxService;
    @Autowired
    private SqzkDsjWbjhCjFgwSwdjxxService sqzkDsjWbjhCjFgwSwdjxxService;
    @Autowired
    private SqzkDsjWbjhCjFgwZxswdjxxService sqzkDsjWbjhCjFgwZxswdjxxService;
    /**
     * TODO 企业基本信息
     * @param
     * @return com.zksy.common.domain.Result
     * @author Administrator
     * @date 2024/11/8 09:41:15
     */
    @GetMapping("/eBaseinfo")
    public Result getEBaseinfoAll() {
        QueryWrapper queryWrapper = new QueryWrapper<>();
        queryWrapper.in("REGSTATE_CN","存续（在营、开业、在册）");
        List<EBaseinfo> list = eBaseinfoService.list(queryWrapper);
        return Result.ok(list);
    }

    /**
     * TODO 个体年报修改信息
     * @param
     * @return com.zksy.common.domain.Result
     * @author Administrator
     * @date 2024/11/8 09:53:09
     */
    @GetMapping("/anPbUpdateinfo")
    public Result getAnPbUpdateinfo(){
        List<AnPbUpdateinfo> list = anPbUpdateinfoService.list();
        return Result.ok(list);
    }

    /**
     * TODO 个体年报行政许可信息
     * @param
     * @return com.zksy.common.domain.Result
     * @author Administrator
     * @date 2024/11/8 09:58:25
     */
    @GetMapping("/anPbLicenceinfo")
    public Result getAnPbLicenceinfo(){
        List<AnPbLicenceinfo> list = anPbLicenceinfoService.list();
        return Result.ok(list);
    }
    /**
     * TODO 抽查计划及任务信息
     * @param
     * @return com.zksy.common.domain.Result
     * @author Administrator
     * @date 2024/11/8 10:02:04
     */
    @GetMapping("/drRaninsplan")
    public Result getDrRaninsplan(){
        List<DrRaninsplan> list = drRaninsplanService.list();
        return Result.ok(list);
    }
    /**
     * TODO 个体年报基本信息
     * @param
     * @return com.zksy.common.domain.Result
     * @author Administrator
     * @date 2024/11/8 10:08:02
     */
    @GetMapping("/anPbBaseinfo")
    public Result getAnPbBaseinfo(){
        List<AnPbBaseinfo> list = anPbBaseinfoService.list();
        return Result.ok(list);
    }
    /**
     * TODO 企业年报修改信息
      * @param
     * @return com.zksy.common.domain.Result
     * @author Administrator
     * @date 2024/11/8 10:12:32
     */
    @GetMapping("/anUpdateinfo")
    public Result getAnUpdateinfo(){
        List<AnUpdateinfo> list = anUpdateinfoService.list();
        return Result.ok(list);
    }
    /**
     * TODO 抽查结果信息
      * @param
     * @return com.zksy.common.domain.Result
     * @author Administrator
     * @date 2024/11/8 10:15:04
     */
    @GetMapping("/drRaninsres")
    public Result getDrRaninsres(){
        List<DrRaninsres> list = drRaninsresService.list();
        return Result.ok(list);
    }
    /**
     * TODO 企业年报基本信息
      * @param        
     * @return com.zksy.common.domain.Result
     * @author Administrator
     * @date 2024/11/8 10:18:06
     */
    @GetMapping("/anBaseinfo")
    public Result getAnBaseinfo(){
        List<AnBaseinfo> list = anBaseinfoService.list();
        return Result.ok(list);
    }
    /**
     * TODO 企业年报股东及出资信息
      * @param
     * @return com.zksy.common.domain.Result
     * @author Administrator
     * @date 2024/11/8 10:20:35
     */
    @GetMapping("/anSubcapital")
    public Result getAnSubcapital(){
        List<AnSubcapital> list = anSubcapitalService.list();
        return Result.ok(list);
    }
    /**
     * TODO 个体许可信息
      * @param
     * @return com.zksy.common.domain.Result
     * @author Administrator
     * @date 2024/11/8 10:26:00
     */
    @GetMapping("/eLicCertificate")
    public Result getELicCertificate(){
        List<ELicCertificate> list = eLicCertificateService.list();
        return Result.ok(list);
    }
    /**
     * TODO 发票开票信息
      * @param
     * @return com.zksy.common.domain.Result
     * @author Administrator
     * @date 2024/11/8 10:33:10
     */
    @GetMapping("/sswWbjhCjCztDkfpxxNew")
    public Result getSswWbjhCjCztDkfpxxNew(){
        List<SswWbjhCjCztDkfpxxNew> list = sswWbjhCjCztDkfpxxNewService.list();
        return Result.ok(list);
    }
    /**
     * TODO 企业所得税申报信息
      * @param
     * @return com.zksy.common.domain.Result
     * @author Administrator
     * @date 2024/11/8 10:36:21
     */
    @GetMapping("/sswWbjhCjCztQysdsxx")
    public Result getSswWbjhCjCztQysdsxx(){
        List<SswWbjhCjCztQysdsxx> list = sswWbjhCjCztQysdsxxService.list();
        return Result.ok(list);
    }
    /**
     * TODO 非正常户认定信息
      * @param
     * @return com.zksy.common.domain.Result
     * @author Administrator
     * @date 2024/11/8 10:40:47
     */
    @GetMapping("/sqzkDsjWbjhCjFgwFzchrdxx")
    public Result getSqzkDsjWbjhCjFgwFzchrdxx(){
        List<SqzkDsjWbjhCjFgwFzchrdxx> list = sqzkDsjWbjhCjFgwFzchrdxxService.list();
        return Result.ok(list);
    }

    /**
     * TODO 非正常户认定解除信息
      * @param        
     * @return com.zksy.common.domain.Result
     * @author Administrator
     * @date 2024/11/8 10:43:02
     */
    @GetMapping("/sqzkDsjWbjhCjFgwFzchjcxx")
    public Result getSqzkDsjWbjhCjFgwFzchjcxx(){
        List<SqzkDsjWbjhCjFgwFzchjcxx> list = sqzkDsjWbjhCjFgwFzchjcxxService.list();
        return Result.ok(list);
    }
    /**
     * TODO 税务登记设立信息
      * @param
     * @return com.zksy.common.domain.Result
     * @author Administrator
     * @date 2024/11/8 10:47:18
     */
    @GetMapping("/sqzkDsjWbjhCjFgwSwdjxx")
    public Result getSqzkDsjWbjhCjFgwSwdjxx(){
        List<SqzkDsjWbjhCjFgwSwdjxx> list = sqzkDsjWbjhCjFgwSwdjxxService.list();
        return Result.ok(list);
    }
    /**
     * TODO 注销税务登记信息
      * @param
     * @return com.zksy.common.domain.Result
     * @author Administrator
     * @date 2024/11/8 10:49:57
     */
    @GetMapping("/sqzkDsjWbjhCjFgwZxswdjxx")
    public Result getSqzkDsjWbjhCjFgwZxswdjxx(){
        List<SqzkDsjWbjhCjFgwZxswdjxx> list = sqzkDsjWbjhCjFgwZxswdjxxService.list();
        return Result.ok(list);
    }
}
